Qwt User's Guide: QwtPolarPanner Class Reference

Qwt User's Guide 6.2.0

Public Slots | Public Member Functions | Protected Member Functions | List of all members
QwtPolarPanner Class Reference

QwtPolarPanner provides panning of a polar plot canvas. More...

`#include <qwt_polar_panner.h>`

Inheritance diagram for QwtPolarPanner:

## Public Slots
virtual void | movePlot (int dx, int dy)

## Public Member Functions
| QwtPolarPanner (QwtPolarCanvas *)
| Create a plot panner for a polar plot canvas.
virtual | ~QwtPolarPanner ()
| Destructor.
QwtPolarPlot * | plot ()
const QwtPolarPlot * | plot () const
QwtPolarCanvas * | canvas ()
const QwtPolarCanvas * | canvas () const
Public Member Functions inherited from QwtPanner
| QwtPanner (QWidget *parent)
virtual | ~QwtPanner ()
| Destructor.
void | setEnabled (bool)
| En/disable the panner. More...
bool | isEnabled () const
void | setMouseButton (Qt::MouseButton, Qt::KeyboardModifiers=Qt::NoModifier)
void | getMouseButton (Qt::MouseButton &button, Qt::KeyboardModifiers &) const
| Get mouse button and modifiers used for panning.
void | setAbortKey (int key, Qt::KeyboardModifiers=Qt::NoModifier)
void | getAbortKey (int &key, Qt::KeyboardModifiers &) const
| Get the abort key and modifiers.
void | setCursor (const QCursor &)
const QCursor | cursor () const
void | setOrientations (Qt::Orientations)
Qt::Orientations | orientations () const
| Return the orientation, where panning is enabled.
bool | isOrientationEnabled (Qt::Orientation) const
virtual bool | eventFilter (QObject *, QEvent *) override
| Event filter. More...

## Protected Member Functions
virtual void | widgetMousePressEvent (QMouseEvent *) override
Protected Member Functions inherited from QwtPanner
virtual void | widgetMouseReleaseEvent (QMouseEvent *)
virtual void | widgetMouseMoveEvent (QMouseEvent *)
virtual void | widgetKeyPressEvent (QKeyEvent *)
virtual void | widgetKeyReleaseEvent (QKeyEvent *)
virtual void | paintEvent (QPaintEvent *) override
| Paint event. More...
virtual QBitmap | contentsMask () const
| Calculate a mask for the contents of the panned widget. More...
virtual QPixmap | grab () const

## Additional Inherited Members
Signals inherited from QwtPanner
void | panned (int dx, int dy)
void | moved (int dx, int dy)

## Detailed Description

QwtPolarPanner provides panning of a polar plot canvas.

QwtPolarPanner is a panner for a QwtPolarCanvas, that adjusts the visible area after dropping the canvas on its new position.

Together with QwtPolarMagnifier individual ways of navigating on a QwtPolarPlot widget can be implemented easily.

See also
  QwtPolarMagnifier

Definition at line 30 of file qwt_polar_panner.h.

## Member Function Documentation

## ◆ canvas() [1/2]

QwtPolarCanvas * QwtPolarPanner::canvas | ( |  | ) |

Returns
  observed plot canvas

Definition at line 29 of file qwt_polar_panner.cpp.

## ◆ canvas() [2/2]

const QwtPolarCanvas * QwtPolarPanner::canvas | ( |  | ) | const

Returns
  observed plot canvas

Definition at line 35 of file qwt_polar_panner.cpp.

## ◆ movePlot

void QwtPolarPanner::movePlot | ( | int | dx,
|  | int | dy
| ) |  |
| virtualslot

Adjust the zoomed area according to dx/dy

Parameters

  dx | Pixel offset in x direction
  dy | Pixel offset in y direction

See also
  QwtPanner::panned(), QwtPolarPlot::zoom()

Definition at line 68 of file qwt_polar_panner.cpp.

## ◆ plot() [1/2]

QwtPolarPlot * QwtPolarPanner::plot | ( |  | ) |

Returns
  observed plot

Definition at line 41 of file qwt_polar_panner.cpp.

## ◆ plot() [2/2]

const QwtPolarPlot * QwtPolarPanner::plot | ( |  | ) | const

Returns
  observed plot

Definition at line 51 of file qwt_polar_panner.cpp.

## ◆ widgetMousePressEvent()

void QwtPolarPanner::widgetMousePressEvent | ( | QMouseEvent * | event | ) |
| overrideprotectedvirtual

Block panning when the plot zoom factor is >= 1.0.

Parameters

  event | Mouse event

Reimplemented from QwtPanner.

Definition at line 108 of file qwt_polar_panner.cpp.